<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFirstTransitionPosition Method (IEdmState5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmState5 Interface : GetFirstTransitionPosition Method (IEdmState5)

Visual Basic
C#
C++/CLI

bExitTransitions
  Optionally true to enumerate the transitions from this workflow state, false to enumerate the transition to this workflow state; default is true

Starts an enumeration of the transitions to and from this workflow state.

# Syntax

Visual Basic |
--- | ---

    Function GetFirstTransitionPosition( _
       Optional ByVal bExitTransitions As System.Boolean _
    ) As IEdmPos5

C# |
--- | ---

    IEdmPos5 GetFirstTransitionPosition(
       System.bool bExitTransitions
    )

C++/CLI |
--- | ---

    IEdmPos5^ GetFirstTransitionPosition(
    &   System.bool bExitTransitions
    )

#### Parameters

bExitTransitions
  Optionally true to enumerate the transitions from this workflow state, false to enumerate the transition to this workflow state; default is true

#### Return Value

IEdmPos5; position in the list of the first transition to or from this workflow state (see Remarks)

# Example

Get File's State Transitions (C#)
Get File's State Transitions (VB.NET)

# Remarks

After calling this method, pass the returned position of the first transition to or from this workflow state to IEdmState5::GetNextTransition to get the first transition to or from this workflow state. Then call IEdmState5::GetNextTransition repeatedly to get the rest of the transitions to and from this workflow state.

C++ programmers not using smart-pointer wrapper functions must release the returned interface, IEdmPos5.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmState5 Interface
IEdmState5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2